Bug 2839 - Configure on samba4 (but not 3) exited without mentioning the reason
Configure on samba4 (but not 3) exited without mentioning the reason
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Sparc Solaris
: P3 normal
: ---
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-29 15:36 UTC by David S. Collier-Brown
Modified: 2007-07-14 16:39 UTC (History)
1 user (show)

See Also:


Attachments
A tiny patch to fix a non-portable make-ism in autogen.sh (394 bytes, text/plain)
2007-07-14 16:13 UTC, David S. Collier-Brown
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David S. Collier-Brown 2005-06-29 15:36:02 UTC
The last lines were:
checking for pam_start in -lpam... yes
checking configure summary... configure: error: summary failure. Aborting 

The code, however, says
else
  echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

A set -x just before the "checking configure summary" gave me

checking for pam_start in -lpam... yes
checking configure summary... + rm -f conftest
+ eval echo 'configure:22706: "$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS
$LDFLAGS conftest.$ac_ext $LIBS >&5"'
++ echo configure:22706: 'gcc -o conftest -g -O2    conftest.c -lresolv -lsocket
-lnsl -ldl   -liconv >&5'
+ ac_status=0
+ echo 'configure:22709: $? = 0'
+ exit 0
+ ac_try=./conftest$ac_exeext
+ eval echo 'configure:22711: "./conftest$ac_exeext"'
++ echo configure:22711: ./conftest
+ ac_status=137
+ echo 'configure:22714: $? = 137'
+ exit 137
+ echo 'configure: program exited with status 137'
+ echo 'configure: failed program was:'
+ sed 's/^/| /' conftest.c
+ exit 137
+ echo 'configure:22724: error: summary failure. Aborting config'
+ echo 'configure: error: summary failure. Aborting config'
configure: error: summary failure. Aborting config
+ exit 1
+ exit 1
+ exit_status=1
+ echo
+ cat
+ echo
+ sed -n 's/'\''/'\''\\'\'''\''/g;
	 
s/^\([_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*_cv_[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*\)=\(.*\)/\1='\''\2'\''/p'
+ echo
+ cat
+ echo
+ sort
++ echo SHELL
+ eval 'ac_val=$SHELL'
++ ac_val=/bin/bash
+ echo 'SHELL='\''/bin/bash'\'''
++ echo PATH_SEPARATOR
+ eval 'ac_val=$PATH_SEPARATOR'
++ ac_val=:
+ echo 'PATH_SEPARATOR='\'':'\'''
++ echo PACKAGE_NAME
+ eval 'ac_val=$PACKAGE_NAME'
++ ac_val=
+ echo 'PACKAGE_NAME='\'''\'''
++ echo PACKAGE_TARNAME
+ eval 'ac_val=$PACKAGE_TARNAME'
++ ac_val=
+ echo 'PACKAGE_TARNAME='\'''\'''
++ echo PACKAGE_VERSION
+ eval 'ac_val=$PACKAGE_VERSION'
++ ac_val=
+ echo 'PACKAGE_VERSION='\'''\'''
++ echo PACKAGE_STRING
+ eval 'ac_val=$PACKAGE_STRING'
++ ac_val=
+ echo 'PACKAGE_STRING='\'''\'''
++ echo PACKAGE_BUGREPORT
+ eval 'ac_val=$PACKAGE_BUGREPORT'
++ ac_val=
+ echo 'PACKAGE_BUGREPORT='\'''\'''
++ echo exec_prefix
+ eval 'ac_val=$exec_prefix'
++ ac_val=NONE
+ echo 'exec_prefix='\''NONE'\'''
++ echo prefix
+ eval 'ac_val=$prefix'
++ ac_val=NONE
+ echo 'prefix='\''NONE'\'''
++ echo program_transform_name
+ eval 'ac_val=$program_transform_name'
++ ac_val=s,x,x,
+ echo 'program_transform_name='\''s,x,x,'\'''
++ echo bindir
+ eval 'ac_val=$bindir'
++ ac_val=${exec_prefix}/bin
+ echo 'bindir='\''${exec_prefix}/bin'\'''
++ echo sbindir
+ eval 'ac_val=$sbindir'
++ ac_val=${exec_prefix}/sbin
+ echo 'sbindir='\''${exec_prefix}/sbin'\'''
++ echo libexecdir
+ eval 'ac_val=$libexecdir'
++ ac_val=${exec_prefix}/libexec
+ echo 'libexecdir='\''${exec_prefix}/libexec'\'''
++ echo datadir
+ eval 'ac_val=$datadir'
++ ac_val=${prefix}/share
+ echo 'datadir='\''${prefix}/share'\'''
++ echo sysconfdir
+ eval 'ac_val=$sysconfdir'
++ ac_val=${prefix}/etc
+ echo 'sysconfdir='\''${prefix}/etc'\'''
++ echo sharedstatedir
+ eval 'ac_val=$sharedstatedir'
++ ac_val=${prefix}/com
+ echo 'sharedstatedir='\''${prefix}/com'\'''
++ echo localstatedir
+ eval 'ac_val=$localstatedir'
++ ac_val=${prefix}/var
+ echo 'localstatedir='\''${prefix}/var'\'''
++ echo libdir
+ eval 'ac_val=$libdir'
++ ac_val=${exec_prefix}/lib
+ echo 'libdir='\''${exec_prefix}/lib'\'''
++ echo includedir
+ eval 'ac_val=$includedir'
++ ac_val=${prefix}/include
+ echo 'includedir='\''${prefix}/include'\'''
++ echo oldincludedir
+ eval 'ac_val=$oldincludedir'
++ ac_val=/usr/include
+ echo 'oldincludedir='\''/usr/include'\'''
++ echo infodir
+ eval 'ac_val=$infodir'
++ ac_val=${prefix}/info
+ echo 'infodir='\''${prefix}/info'\'''
++ echo mandir
+ eval 'ac_val=$mandir'
++ ac_val=${prefix}/man
+ echo 'mandir='\''${prefix}/man'\'''
++ echo build_alias
+ eval 'ac_val=$build_alias'
++ ac_val=
+ echo 'build_alias='\'''\'''
++ echo host_alias
+ eval 'ac_val=$host_alias'
++ ac_val=
+ echo 'host_alias='\'''\'''
++ echo target_alias
+ eval 'ac_val=$target_alias'
++ ac_val=
+ echo 'target_alias='\'''\'''
++ echo DEFS
+ eval 'ac_val=$DEFS'
++ ac_val=
+ echo 'DEFS='\'''\'''
++ echo ECHO_C
+ eval 'ac_val=$ECHO_C'
++ ac_val=
+ echo 'ECHO_C='\'''\'''
++ echo ECHO_N
+ eval 'ac_val=$ECHO_N'
++ ac_val=-n
+ echo 'ECHO_N='\''-n'\'''
++ echo ECHO_T
+ eval 'ac_val=$ECHO_T'
++ ac_val=
+ echo 'ECHO_T='\'''\'''
++ echo LIBS
+ eval 'ac_val=$LIBS'
++ ac_val=-lresolv -lsocket -lnsl -ldl   -liconv
+ echo 'LIBS='\''-lresolv -lsocket -lnsl -ldl   -liconv'\'''
++ echo configdir
+ eval 'ac_val=$configdir'
++ ac_val=${LIBDIR}
+ echo 'configdir='\''${LIBDIR}'\'''
++ echo lockdir
+ eval 'ac_val=$lockdir'
++ ac_val=${VARDIR}/locks
+ echo 'lockdir='\''${VARDIR}/locks'\'''
++ echo piddir
+ eval 'ac_val=$piddir'
++ ac_val=${VARDIR}/locks
+ echo 'piddir='\''${VARDIR}/locks'\'''
++ echo logfilebase
+ eval 'ac_val=$logfilebase'
++ ac_val=${VARDIR}
+ echo 'logfilebase='\''${VARDIR}'\'''
++ echo privatedir
+ eval 'ac_val=$privatedir'
++ ac_val=${prefix}/private
+ echo 'privatedir='\''${prefix}/private'\'''
++ echo swatdir
+ eval 'ac_val=$swatdir'
++ ac_val=${prefix}/swat
+ echo 'swatdir='\''${prefix}/swat'\'''
++ echo PERL
+ eval 'ac_val=$PERL'
++ ac_val=/usr/local/bin/perl
+ echo 'PERL='\''/usr/local/bin/perl'\'''
++ echo PIDL_ARGS
+ eval 'ac_val=$PIDL_ARGS'
++ ac_val=
+ echo 'PIDL_ARGS='\'''\'''
++ echo CC
+ eval 'ac_val=$CC'
++ ac_val=gcc
+ echo 'CC='\''gcc'\'''
++ echo CFLAGS
+ eval 'ac_val=$CFLAGS'
++ ac_val=-g -O2 
+ echo 'CFLAGS='\''-g -O2 '\'''
++ echo LDFLAGS
+ eval 'ac_val=$LDFLAGS'
++ ac_val=
+ echo 'LDFLAGS='\'''\'''
++ echo CPPFLAGS
+ eval 'ac_val=$CPPFLAGS'
++ ac_val=
+ echo 'CPPFLAGS='\'''\'''
++ echo ac_ct_CC
+ eval 'ac_val=$ac_ct_CC'
++ ac_val=gcc
+ echo 'ac_ct_CC='\''gcc'\'''
++ echo EXEEXT
+ eval 'ac_val=$EXEEXT'
++ ac_val=
+ echo 'EXEEXT='\'''\'''
++ echo OBJEXT
+ eval 'ac_val=$OBJEXT'
++ ac_val=o
+ echo 'OBJEXT='\''o'\'''
++ echo BROKEN_CC
+ eval 'ac_val=$BROKEN_CC'
++ ac_val=#
+ echo 'BROKEN_CC='\''#'\'''
++ echo PCH_AVAILABLE
+ eval 'ac_val=$PCH_AVAILABLE'
++ ac_val=
+ echo 'PCH_AVAILABLE='\'''\'''
++ echo LD
+ eval 'ac_val=$LD'
++ ac_val=/usr/ucb/ld
+ echo 'LD='\''/usr/ucb/ld'\'''
++ echo CPP
+ eval 'ac_val=$CPP'
++ ac_val=gcc -E
+ echo 'CPP='\''gcc -E'\'''
++ echo EGREP
+ eval 'ac_val=$EGREP'
++ ac_val=egrep
+ echo 'EGREP='\''egrep'\'''
++ echo XSLTPROC
+ eval 'ac_val=$XSLTPROC'
++ ac_val=/usr/bin/xsltproc
+ echo 'XSLTPROC='\''/usr/bin/xsltproc'\'''
++ echo SHLIBEXT
+ eval 'ac_val=$SHLIBEXT'
++ ac_val=so
+ echo 'SHLIBEXT='\''so'\'''
++ echo LDSHFLAGS
+ eval 'ac_val=$LDSHFLAGS'
++ ac_val=-G
+ echo 'LDSHFLAGS='\''-G'\'''
++ echo SONAMEFLAG
+ eval 'ac_val=$SONAMEFLAG'
++ ac_val=-h 
+ echo 'SONAMEFLAG='\''-h '\'''
++ echo PICFLAG
+ eval 'ac_val=$PICFLAG'
++ ac_val=-fPIC
+ echo 'PICFLAG='\''-fPIC'\'''
++ echo build
+ eval 'ac_val=$build'
++ ac_val=sparc-sun-solaris2.9
+ echo 'build='\''sparc-sun-solaris2.9'\'''
++ echo build_cpu
+ eval 'ac_val=$build_cpu'
++ ac_val=sparc
+ echo 'build_cpu='\''sparc'\'''
++ echo build_vendor
+ eval 'ac_val=$build_vendor'
++ ac_val=sun
+ echo 'build_vendor='\''sun'\'''
++ echo build_os
+ eval 'ac_val=$build_os'
++ ac_val=solaris2.9
+ echo 'build_os='\''solaris2.9'\'''
++ echo host
+ eval 'ac_val=$host'
++ ac_val=sparc-sun-solaris2.9
+ echo 'host='\''sparc-sun-solaris2.9'\'''
++ echo host_cpu
+ eval 'ac_val=$host_cpu'
++ ac_val=sparc
+ echo 'host_cpu='\''sparc'\'''
++ echo host_vendor
+ eval 'ac_val=$host_vendor'
++ ac_val=sun
+ echo 'host_vendor='\''sun'\'''
++ echo host_os
+ eval 'ac_val=$host_os'
++ ac_val=solaris2.9
+ echo 'host_os='\''solaris2.9'\'''
++ echo LIBOBJS
+ eval 'ac_val=$LIBOBJS'
++ ac_val=
+ echo 'LIBOBJS='\'''\'''
++ echo ROFF
+ eval 'ac_val=$ROFF'
++ ac_val=
+ echo 'ROFF='\'''\'''
++ echo SMBD_EXTRA_OBJS
+ eval 'ac_val=$SMBD_EXTRA_OBJS'
++ ac_val=
+ echo 'SMBD_EXTRA_OBJS='\'''\'''
++ echo SMBD_EXTRA_LIBS
+ eval 'ac_val=$SMBD_EXTRA_LIBS'
++ ac_val=
+ echo 'SMBD_EXTRA_LIBS='\'''\'''
++ echo PKG_CONFIG
+ eval 'ac_val=$PKG_CONFIG'
++ ac_val=no
+ echo 'PKG_CONFIG='\''no'\'''
++ echo PYTHON
+ eval 'ac_val=$PYTHON'
++ ac_val=
+ echo 'PYTHON='\'''\'''
++ echo DEFAULT_TEST_TARGET
+ eval 'ac_val=$DEFAULT_TEST_TARGET'
++ ac_val=test-noswrap
+ echo 'DEFAULT_TEST_TARGET='\''test-noswrap'\'''
++ echo HAVE_SOCKET_WRAPPER
+ eval 'ac_val=$HAVE_SOCKET_WRAPPER'
++ ac_val=no
+ echo 'HAVE_SOCKET_WRAPPER='\''no'\'''
++ echo builddir
+ eval 'ac_val=$builddir'
++ ac_val=
+ echo 'builddir='\'''\'''
++ echo LTLIBOBJS
+ eval 'ac_val=$LTLIBOBJS'
++ ac_val=
+ echo 'LTLIBOBJS='\'''\'''
+ echo
+ test -n ''
+ test -s confdefs.h
+ cat
+ echo
+ sed '/^$/d' confdefs.h
+ sort
+ echo
+ test 0 '!=' 0
+ echo 'configure: exit 1'
+ rm -f core '*.core'
+ rm -rf conftest conftest.c confdefs.h 'conf10747*'
+ exit 1
Comment 1 Tim Potter 2005-06-29 18:03:27 UTC
Hi Dave.  Could you post the relevant bits of config.log?  It should contain the
actual error that the test produced.
Comment 2 David S. Collier-Brown 2005-12-30 09:30:51 UTC
Oh drat, this bug is hard to reproduce: after
running with -x, it no longer occurs. You
can run as many times without -x as you want,
it will reoccur...

This implies two things:
1) it's something that isn't initialized the
   **very first** time you build
2) set -x has an effect on it

I'm going to test further, and see if
scubbing the system clean will make it
reappear.

--dave
Comment 3 David S. Collier-Brown 2007-06-27 08:12:20 UTC
This appears to be hidden/blocked by 4744. Heck, it could be fixed,
I just can't tell (;-))  When I can I'll either close or investigate 
further.
Comment 4 David S. Collier-Brown 2007-07-14 16:13:10 UTC
Created attachment 2819 [details]
A tiny patch to fix a non-portable make-ism in autogen.sh
Comment 5 David S. Collier-Brown 2007-07-14 16:17:34 UTC
Whoops, wrong bug to fix.
Comment 6 David S. Collier-Brown 2007-07-14 16:39:12 UTC
This bug is fixed, but that was hidden by 4744